## pngtools 0.3

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/pngtools
pkglibdir = $(libdir)/pngtools
pkgincludedir = $(includedir)/pngtools

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
MAINT = #
MAKEINFO = makeinfo
PACKAGE = pngtools
VERSION = 0.2

bin_PROGRAMS = pnginfo pngcp pngchunkdesc pngchunks

pnginfo_SOURCES = pnginfo.c
pngcp_SOURCES = pngcp.c pngread.c pngwrite.c inflateraster.c
pngchunkdesc_SOURCES = pngchunkdesc.c
pngchunks_SOURCES = pngchunks.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS =  -DPACKAGE=\"pngtools\" -DVERSION=\"0.2\" -DHAVE_LIBM=1 -DHAVE_LIBPNG=1 -DSTDC_HEADERS=1 -DHAVE_STDIO_H=1 -DHAVE_PNG_H=1 -DHAVE_VPRINTF=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS = 
LIBS = -lpng -lm 
pnginfo_OBJECTS =  pnginfo.o
pnginfo_LDADD = $(LDADD)
pnginfo_DEPENDENCIES = 
pnginfo_LDFLAGS = 
pngcp_OBJECTS =  pngcp.o pngread.o pngwrite.o inflateraster.o
pngcp_LDADD = $(LDADD)
pngcp_DEPENDENCIES = 
pngcp_LDFLAGS = 
pngchunkdesc_OBJECTS =  pngchunkdesc.o
pngchunkdesc_LDADD = $(LDADD)
pngchunkdesc_DEPENDENCIES = 
pngchunkdesc_LDFLAGS = 
pngchunks_OBJECTS =  pngchunks.o
pngchunks_LDADD = $(LDADD)
pngchunks_DEPENDENCIES = 
pngchunks_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS aclocal.m4 configure configure.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/inflateraster.P .deps/pngchunkdesc.P \
.deps/pngchunks.P .deps/pngcp.P .deps/pnginfo.P .deps/pngread.P \
.deps/pngwrite.P
SOURCES = $(pnginfo_SOURCES) $(pngcp_SOURCES) $(pngchunkdesc_SOURCES) $(pngchunks_SOURCES)
OBJECTS = $(pnginfo_OBJECTS) $(pngcp_OBJECTS) $(pngchunkdesc_OBJECTS) $(pngchunks_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4): # configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: #$(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

pnginfo: $(pnginfo_OBJECTS) $(pnginfo_DEPENDENCIES)
	@rm -f pnginfo
	$(LINK) $(pnginfo_LDFLAGS) $(pnginfo_OBJECTS) $(pnginfo_LDADD) $(LIBS)

pngcp: $(pngcp_OBJECTS) $(pngcp_DEPENDENCIES)
	@rm -f pngcp
	$(LINK) $(pngcp_LDFLAGS) $(pngcp_OBJECTS) $(pngcp_LDADD) $(LIBS)

pngchunkdesc: $(pngchunkdesc_OBJECTS) $(pngchunkdesc_DEPENDENCIES)
	@rm -f pngchunkdesc
	$(LINK) $(pngchunkdesc_LDFLAGS) $(pngchunkdesc_OBJECTS) $(pngchunkdesc_LDADD) $(LIBS)

pngchunks: $(pngchunks_OBJECTS) $(pngchunks_DEPENDENCIES)
	@rm -f pngchunks
	$(LINK) $(pngchunks_LDFLAGS) $(pngchunks_OBJECTS) $(pngchunks_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## pngtools 0.5~git20120106.409eb16

=== debian/changelog ===
pngtools (0.5~git20120106.409eb16-1) unstable; urgency=medium

  * d/watch: Adapt watch until upstream publish tags
  * New upstream version 0.5~git20120106.409eb16
  * d/control: Move to team maintenance (phototools). Closes: #863326
  * d/patches: Remove patches applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Fri, 03 Dec 2021 14:42:40 +0100

pngtools (0.4-2) unstable; urgency=medium

  * QA upload.
  * Refresh packaging:
    + Set package maintainer to Debian QA Group.
    + Convert to "3.0 (quilt)" format.
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Add Vcs-* fields in debian/control file.
    + Monitor new upstream on GitHub.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Oct 2021 15:41:33 -0400

pngtools (0.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to autoreconf (Closes: #822547)
  * Bump compat level to 9
  * Drop cdbs
  * Refactor rules file, fixing a build failure
    with as-needed flags.
  * Patch configure.in following png rename of
    api.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Apr 2016 22:47:36 +0200

pngtools (0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix previous upload for libpng12 by conditional compiling (Closes: #811001)

 -- Tobias Frost <tobi@debian.org>  Thu, 14 Jan 2016 20:40:19 +0100

pngtools (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5", taking patch from Nobuhiro (Closes: #641892)
  * Change B-D to libpng-dev from libpng12-dev (Closes: #662476)

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 01:05:36 +0100

pngtools (0.4-1) unstable; urgency=low

  * New upstream release;
  * Update compat level to 7;
  * Update Standards-Version to 3.8.3:
    - Using new Homepage field in debian/control.
  * Remove patches/pngchunks.diff (applied upstream);
  * Fix minus sign in manpages.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 18 Aug 2009 17:04:10 -0300

pngtools (0.3-2) unstable; urgency=low

  * Fix pngchunks on 64 bits platforms (Closes: #503820).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 10 Dec 2008 08:06:18 -0200

pngtools (0.3-1) unstable; urgency=low

  * Initial release (Closes: #405139).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 31 Jul 2007 17:45:22 -0300

=== debian/control ===
Source: pngtools
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev
Standards-Version: 4.6.0
Homepage: https://www.madebymikal.com/category/pngtools/
Vcs-Git: https://salsa.debian.org/debian/pngtools.git
Vcs-Browser: https://salsa.debian.org/debian/pngtools

Package: pngtools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: optipng | pngcrush
Description: series of tools for PNG (Portable Network Graphics) images
 pngtools is a suite of utilities to work with PNG (Portable Network
 Graphics) files, equivalents to libtiff's tiffinfo, and tiffcp commands.
 These commands are called pnginfo, pngcp. tiffdump is replaced by pngchunks
 and pngchunkdesc as well.

## pngtools 0.5~git20220314.1ccca3a

=== debian/changelog ===
pngtools (0.5~git20220314.1ccca3a-2) unstable; urgency=medium

  [ Michael Schaller ]
  * d/patches: Package fails to build without network access. Closes: 1013909

  [ Mathieu Malaterre ]
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Aug 2022 14:51:55 +0200

pngtools (0.5~git20220314.1ccca3a-1) unstable; urgency=medium

  * New upstream version 0.5~git20220314.1ccca3a

 -- Mathieu Malaterre <malat@debian.org>  Wed, 30 Mar 2022 16:33:55 +0200

pngtools (0.5~git20220111.bebd7b3-1) unstable; urgency=medium

  * New upstream version 0.5~git20220111.bebd7b3
  * d/patches: Remove patches applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Jan 2022 11:52:03 +0100

pngtools (0.5~git20211218.2f4c05c-1) unstable; urgency=medium

  * d/control: Update to new Vcs URLs
  * d/rules: Make sure to compile without error
  * New upstream version 0.5~git20211218.2f4c05c
  * d/patches: Import pull requests from upstream repo. Closes: #544489, #668436, #743279
  * d/rules: Properly generate man page from upstream SGML

 -- Mathieu Malaterre <malat@debian.org>  Mon, 03 Jan 2022 12:31:24 +0100

=== debian/control ===
Source: pngtools
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper-compat (= 13), docbook, docbook-utils, libpng-dev
Standards-Version: 4.6.1
Homepage: https://github.com/mikalstill/pngtools
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngtools
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngtools.git

Package: pngtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: optipng | pngcrush
Description: series of tools for PNG (Portable Network Graphics) images
 pngtools is a suite of utilities to work with PNG (Portable Network
 Graphics) files, equivalents to libtiff's tiffinfo, and tiffcp commands.
 These commands are called pnginfo, pngcp. tiffdump is replaced by pngchunks
 and pngchunkdesc as well.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CFLAGS+=-Werror

%:
	dh $@

override_dh_clean:
	dh_clean man/*.1
	dh_clean man/manpage.refs

override_dh_installman: manpages
	dh_installman

man/%.1: man/%.sgml
	docbook2man -o $(shell dirname $@) $<

.PHONY: manpages
manpages: man/pngchunks.1 man/pngchunkdesc.1 man/pngcp.1 man/pnginfo.1

## pngtools 0.5~git20230507.177e87f

=== debian/changelog ===
pngtools (0.5~git20230507.177e87f-1) unstable; urgency=medium

  [ xiao sheng wen ]
  * Team upload.
  * New upstream version 0.5~git20230507.177e87f Closes: #1030152
  * Bump Standards-Version: 4.7.2
  * d/control: add Rules-Requires-Root: no
  * d/copyright: update year info
  * d/docs: add README
  * d/rules:
      - remove override_dh_clean target, add d/clean
      - remove export CFLAGS+=-Werror, no need
      - not generate man in it, no need

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 22 Apr 2025 14:46:20 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper-compat (= 13), docbook, docbook-utils, libpng-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/mikalstill/pngtools
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngtools
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngtools.git

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=0.5~git%cd.%h" \
https://github.com/mikalstill/pngtools \
HEAD debian uupdate

## pngtools 1.1

=== debian/changelog ===
pngtools (1.1-1) unstable; urgency=medium

  * Team upload.
  * d/watch: update to use github tags
  * add d/gbp.conf
  * New upstream version 1.1
  * Bump Standards-Version: 4.7.3
  * d/control: delete Rules-Requires-Root: no, useless
  * d/copyright: update-debian-copyright to 2026
  * delete debian/patches, not needed
  * d/docs: rename README to README.md

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 24 Feb 2026 10:55:24 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper-compat (= 13), docbook, docbook-utils, libpng-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/mikalstill/pngtools
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngtools
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngtools.git

## pngtools 1.2

=== debian/changelog ===
pngtools (1.2-1) unstable; urgency=medium

  * Team upload.
  * d/copyright: fix old-fsf-address-in-copyright-file
  * New upstream version 1.2, Closes:#1123747

 -- xiao sheng wen <atzlinux@debian.org>  Wed, 25 Feb 2026 09:33:29 +0800

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
https://github.com/mikalstill/pngtools/tags .*/v?(\d\S+)\.tar\.gz
